function Im()
{	
	this.xtools = new XTools;
	this.conn = new Connector;
}

Im.prototype = {

	"get_contacts" : function()
	{
		var contact = func.byId('im_contact_list').firstChild;
		
		func.byId('im_remove_contact')[func.byId('im_remove_contact').length] = new Option('-- Selecione --', -1, true, true);

		while ( contact )
		{
			if( contact.tagName == "DIV")
			{
				var options = new Option(contact.id.substr(0,contact.id.indexOf('@')), contact.id, false, true);
				func.byId('im_remove_contact')[func.byId('im_remove_contact').length] = options;
			}
			contact = contact.nextSibling;			
		}	

		func.byId('im_remove_contact')[0].selected = true;		
	},

	"ldap" : function()
	{
		var _this = this;
		
		function handler_ldap(XmlData)
		{
			document.getElementById('im_ldap_ou').innerHTML = _this.xtools.parse(XmlData,'list_ldap_org.xsl');
		}
		this.conn.go('$this.ldap_im.list_organizations_ldap', {'request':handler_ldap});
	},
	
	"ldap_adduser" : function(pElement)
	{
		if(pElement.options.length > 0)
			for(var i=0; i < pElement.options.length; i++)
				if(pElement.options[i].selected == true)
				{
					document.getElementById('text0').value = pElement.options[i].value.substr(0,pElement.options[i].value.indexOf(';'));
					document.getElementById('text1').value = pElement.options[i].value.substr(0,pElement.options[i].value.indexOf('@'));	
					document.getElementById('text2').focus();
					document.getElementById('text3').value = pElement.options[i].value.substr((pElement.options[i].value.indexOf(';')+1), pElement.options[i].value.length);
				}
	},
	
	"ldap_search_ou" : function(pElement)
	{
		var ldap_ou = "";

		for(var i=0; i < pElement.options.length; i++)
			if( pElement.options[i].selected == true )
			{
				ldap_ou = pElement.options[i].value;
				document.getElementById('text0').value = "";
				document.getElementById('text1').value = "";
				document.getElementById('im_ldap_user').innerHTML = "";
			}

		if(ldap_ou)
			this.ldap_search_contacts(ldap_ou);
	},
	
	"ldap_search_contacts" : function(pOu)
	{
		var _this = this;
		document.getElementById('_span_load_im').style.display = "block";
		
		function handler_ldap(XmlData)
		{
			document.getElementById('im_ldap_user').innerHTML = _this.xtools.parse(XmlData,'list_ldap_contacts.xsl');
			document.getElementById('_span_load_im').style.display = "none";			
		}

		this.conn.go('$this.contacts_im.list_contacts',{'request':handler_ldap}, 'ou='+pOu);
	},
	
	"remove_contact" : function(pElement)
	{
		var Jid = "";

		if( func.byId(pElement).options.length > 0 )
			for(var i=0; i < func.byId(pElement).options.length; i++)
				if( func.byId(pElement).options[i].selected == true )
					 Jid = func.byId(pElement).options[i].value;
					 
		if( Jid && Jid != -1 )
		{
			func.byId(Jid).parentNode.removeChild(func.byId(Jid));
			for(var i=0 ; i < func.byId(pElement).options.length; i++)
			{
				func.byId(pElement).options[i] = null;
				i--;
			}
			this.get_contacts();
		}
	}
}
var im = new Im();